GNU bug report logs - #39185
[PATCH] Don't include section "Recent messages" in bug reports

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Stefan Kangas <stefan@HIDDEN>; Keywords: patch; dated Sat, 18 Jan 2020 23:59:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Severity set to 'wishlist' from 'normal' Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 39185 <at> debbugs.gnu.org:


Received: (at 39185) by debbugs.gnu.org; 20 Jan 2020 12:33:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 20 07:33:58 2020
Received: from localhost ([127.0.0.1]:44480 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1itWFi-0000uy-Mk
	for submit <at> debbugs.gnu.org; Mon, 20 Jan 2020 07:33:58 -0500
Received: from mail-lf1-f43.google.com ([209.85.167.43]:39405)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1itWFc-0000uh-TL
 for 39185 <at> debbugs.gnu.org; Mon, 20 Jan 2020 07:33:57 -0500
Received: by mail-lf1-f43.google.com with SMTP id y1so23917427lfb.6
 for <39185 <at> debbugs.gnu.org>; Mon, 20 Jan 2020 04:33:52 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=7ehbu0pOZFbVMjnmIlAX8XDwx+uRVw+JPDysiKaGtBg=;
 b=Z2Qxhi88XcqjE/jYYzjHti0IREYV49f/A6uVheQirAzhLK+/YHflbsEpBEkYw1RlSa
 LEk8NGgW/vVBNNXhQWi1bVwdiu3jiSD6m2TbZE79A0SK0h6/3B+q+vAM643m2XKWhdgH
 jE0rZjSRvLzflbnK3RvvQ0XO8waRutlsGvcQKkOnHpkOf0rS9+DrQy+dLulBpFmaXDUU
 BD/c33vVxMEbX1GhTRzHw8cku1yBRx02VNTMC/CWJSahzfKDOBJYVC0GDUXOxvjVJ1p6
 lraEcZYuHKuqAkq52hQ/6znUk455Fh9eO2d4AEbgXiR/yBAwDnEd3hc22JKqOruOZ7lv
 bXMQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=7ehbu0pOZFbVMjnmIlAX8XDwx+uRVw+JPDysiKaGtBg=;
 b=qKnLIwLh4CY4uJ1JE4KzLN8m2nhKDI340Q4Z5yovR/3+pHmGW1N4NiWhzzgE5OJkB7
 xODUe+Wz9PYQop0c5zJDN6n0xiLUhMuVo7QkCybUrqcR1OZj5yGm3xbqsN3SXG1m3dP2
 t2ITctz2JHMsjRQZLmbUzN0N93CYq/oYKEIruKvwJXocvBSLAvgH8+JucCD04Ad6KGkt
 z+C+Z8bhpPODCIS08Ou8aVopbtsBlNEsK52669PJkRjKwmf2cXK8XY9AKJDvnEh0qkhT
 GnkfhY7kIsODHavsudjdoVcSCWX+98YaPmUZnN1jkajcv+ZGUAP4tpo/fQu7awpDuUpc
 g5Bg==
X-Gm-Message-State: APjAAAXSsNuxOi6KcRrcVtWDGkx7v6JfWTN5n6GIaFRKKTVSJzSTbP4R
 nv3bAEgxiJVWz6WLKawBIQbF4Rweab0=
X-Google-Smtp-Source: APXvYqx5yKud1vlAndrCmcfAyjLa2oK+GWb5MwKAYgA6EUfeDPeX8UYU/BLsK7wR0h4LfH0I948g+A==
X-Received: by 2002:ac2:4a89:: with SMTP id l9mr13168491lfp.121.1579523627192; 
 Mon, 20 Jan 2020 04:33:47 -0800 (PST)
Received: from [192.168.1.142] ([178.252.127.239])
 by smtp.googlemail.com with ESMTPSA id c8sm16574234lfm.65.2020.01.20.04.33.46
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 20 Jan 2020 04:33:46 -0800 (PST)
Subject: Re: bug#39185: [PATCH] Don't include section "Recent messages" in bug
 reports
To: Eli Zaretskii <eliz@HIDDEN>, Lars Ingebrigtsen <larsi@HIDDEN>
References: <87y2u4uxk5.fsf@HIDDEN>
 <7c4de596-6e2e-48e9-a187-e16a36c59176@default> <87k15ouq36.fsf@HIDDEN>
 <83blqzzdgn.fsf@HIDDEN> <87tv4rtqj2.fsf@HIDDEN> <83zhejxx80.fsf@HIDDEN>
 <87ftgbjuqa.fsf@HIDDEN> <83sgkbxupj.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <a0556fcd-e171-39fa-712a-f324c5ea6170@HIDDEN>
Date: Mon, 20 Jan 2020 15:33:46 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.9.0
MIME-Version: 1.0
In-Reply-To: <83sgkbxupj.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On 19.01.2020 19:43,
 Eli Zaretskii wrote: > Is it? Then perhaps
 the name of the system on which Emacs was built, > and the configuration
 used to build it are also private? If the default contents of the bug report
 email are short enough, it should be easy for the user to scan and decide
 whether they want to remove some extra info manually. 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
 [178.252.127.239 listed in dnsbl.sorbs.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.167.43 listed in list.dnswl.org]
 0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
 mail domains are different
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (raaahh[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.167.43 listed in wl.mailspike.net]
 0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and
 EnvelopeFrom freemail headers are different
X-Debbugs-Envelope-To: 39185
Cc: 39185 <at> debbugs.gnu.org, stefan@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

On 19.01.2020 19:43, Eli Zaretskii wrote:
> Is it?  Then perhaps the name of the system on which Emacs was built,
> and the configuration used to build it are also private?

If the default contents of the bug report email are short enough, it 
should be easy for the user to scan and decide whether they want to 
remove some extra info manually.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39185; Package emacs. Full text available.

Message received at 39185 <at> debbugs.gnu.org:


Received: (at 39185) by debbugs.gnu.org; 19 Jan 2020 19:24:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 19 14:24:43 2020
Received: from localhost ([127.0.0.1]:43908 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1itGBf-0001il-08
	for submit <at> debbugs.gnu.org; Sun, 19 Jan 2020 14:24:43 -0500
Received: from userp2120.oracle.com ([156.151.31.85]:39174)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1itGBc-0001iW-Gp
 for 39185 <at> debbugs.gnu.org; Sun, 19 Jan 2020 14:24:41 -0500
Received: from pps.filterd (userp2120.oracle.com [127.0.0.1])
 by userp2120.oracle.com (8.16.0.27/8.16.0.27) with SMTP id 00JJOEDi048753;
 Sun, 19 Jan 2020 19:24:35 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : cc : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2019-08-05;
 bh=Piy3tdMEqY/lJrlgwyOngwUAAASmVUkhiftBJynAiDE=;
 b=iD5XWrzkkKMWJVoyp2QSC5MTblXRc5Q3GK6XglIxM7QSjat0kcaXuitTZy8qpRdRDabA
 qIWG16LTRt2p/MHxGbG1YutDiv0/WVxnpvl91pwbEEbqJRGcrWtaNm+P4de6FA78uiAj
 yY6veADBNvTaYHsJ9Gx2Eeb5MC0/Uvpx3KBw53eHpLFCbu//+EqMKatIVEkH3dEELv2v
 RC0lfLCmAUioc+xckRybfGD8VYuarjWlwwMHvcCZIueUF7+czCSWdEJp4abAcL5c2M93
 kNttp3YsO1/BiMupY/xIC3BG6KsFkdi9LSgfAfcK6mTOiA6SLMLfOuaz0PCQl0vldsEr 5Q== 
Received: from aserp3030.oracle.com (aserp3030.oracle.com [141.146.126.71])
 by userp2120.oracle.com with ESMTP id 2xktnquxwk-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sun, 19 Jan 2020 19:24:34 +0000
Received: from pps.filterd (aserp3030.oracle.com [127.0.0.1])
 by aserp3030.oracle.com (8.16.0.27/8.16.0.27) with SMTP id 00JJO2ws150776;
 Sun, 19 Jan 2020 19:24:34 GMT
Received: from aserv0121.oracle.com (aserv0121.oracle.com [141.146.126.235])
 by aserp3030.oracle.com with ESMTP id 2xmc63akhj-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sun, 19 Jan 2020 19:24:34 +0000
Received: from abhmp0009.oracle.com (abhmp0009.oracle.com [141.146.116.15])
 by aserv0121.oracle.com (8.14.4/8.13.8) with ESMTP id 00JJOX1k028202;
 Sun, 19 Jan 2020 19:24:33 GMT
MIME-Version: 1.0
Message-ID: <422e79bb-fef0-40af-a61d-f4e3d1093eb9@default>
Date: Sun, 19 Jan 2020 11:24:32 -0800 (PST)
From: Drew Adams <drew.adams@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: RE: bug#39185: [PATCH] Don't include section "Recent messages" in bug
 reports
References: <87y2u4uxk5.fsf@HIDDEN>
 <7c4de596-6e2e-48e9-a187-e16a36c59176@default> <87k15ouq36.fsf@HIDDEN>
In-Reply-To: <87k15ouq36.fsf@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.4954.0 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9505
 signatures=668685
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=0 mlxscore=0 mlxlogscore=999
 adultscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.0.1-1911140001 definitions=main-2001190168
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9505
 signatures=668685
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0
 priorityscore=1501 malwarescore=0
 suspectscore=0 phishscore=0 bulkscore=0 spamscore=0 clxscore=1015
 lowpriorityscore=0 mlxscore=0 impostorscore=0 mlxlogscore=999 adultscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.0.1-1911140001
 definitions=main-2001190168
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 39185
Cc: 39185 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> >> Does anyone object to installing the below patch on master?
> >
> > I do.  What if a user wants to include that info in a
> > particular bug report, e.g., where it's relevant?
> > Why not make it easy for a user to include it, even
> > if by default it's excluded?
>=20
> I don't think that feature request should stop us from moving ahead
> with this potentially serious privacy issue.

It's not about that.  It's not about preventing you
from avoiding such privacy problems.  It's all about
getting those fixed now.  And doing it right, in a
flexible way that covers everything that could - by
users' own determinations - be a privacy issue.

> If someone later wants to re-add an option to include messages, and
> configure the bug reports along the lines you suggest, they are free
> to work on that.

That's the wrong way to deal with this issue, IMO.
It's just punting - kicking the can down the road.

And it's not as if a general solution is somehow
difficult to conceive or hard to implement.  Not at
all.

I really don't understand the myopia that narrows the
focus to trying to decide what is _the_ potentially
private info, and then wants to hard-code its exclusion.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39185; Package emacs. Full text available.

Message received at 39185 <at> debbugs.gnu.org:


Received: (at 39185) by debbugs.gnu.org; 19 Jan 2020 19:20:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 19 14:20:45 2020
Received: from localhost ([127.0.0.1]:43895 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1itG7o-0001cR-Ry
	for submit <at> debbugs.gnu.org; Sun, 19 Jan 2020 14:20:45 -0500
Received: from userp2120.oracle.com ([156.151.31.85]:36786)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1itG7m-0001cF-II
 for 39185 <at> debbugs.gnu.org; Sun, 19 Jan 2020 14:20:43 -0500
Received: from pps.filterd (userp2120.oracle.com [127.0.0.1])
 by userp2120.oracle.com (8.16.0.27/8.16.0.27) with SMTP id 00JJItYF045760;
 Sun, 19 Jan 2020 19:20:36 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : cc : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2019-08-05;
 bh=P6J8z7GpAsaYCrm72UIB+watHXETc8gnYuNTaefgSgY=;
 b=Dqfa94rpRtqp6ICzHKseE5DBtc9DLfp89y1WBAlPMkyqjaELo0v4CPGNYYAgrzDBGhAK
 g/VdLQNwj6pfsOG+Fgyg4AE/HDapwHF0YNljD9wKVB5NjIUgL/G72PCAtILM6pChhbSF
 sJL3q0birK2Qc7LLbN5jWkxbYfPSi6KCVa9jfCOREW4aSGMZcKRxO4OyEriMjWc/LabY
 7lDfjz3z+RAnLWFgqyMAhLbcQEH8ejhi3eA1us2pSqNOTbim7bittC+dyoYfedc+0GnN
 S8XsoTz2JTElrKrMJevRmRKqnArQKKj0bq9qarjhNZf5nONamc78ckmOnu2P5N7zV3Sa 1Q== 
Received: from userp3030.oracle.com (userp3030.oracle.com [156.151.31.80])
 by userp2120.oracle.com with ESMTP id 2xktnquxtb-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sun, 19 Jan 2020 19:20:36 +0000
Received: from pps.filterd (userp3030.oracle.com [127.0.0.1])
 by userp3030.oracle.com (8.16.0.27/8.16.0.27) with SMTP id 00JJI8AU133453;
 Sun, 19 Jan 2020 19:20:35 GMT
Received: from aserv0122.oracle.com (aserv0122.oracle.com [141.146.126.236])
 by userp3030.oracle.com with ESMTP id 2xmbg759mg-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sun, 19 Jan 2020 19:20:35 +0000
Received: from abhmp0009.oracle.com (abhmp0009.oracle.com [141.146.116.15])
 by aserv0122.oracle.com (8.14.4/8.14.4) with ESMTP id 00JJKX86019930;
 Sun, 19 Jan 2020 19:20:33 GMT
MIME-Version: 1.0
Message-ID: <f136902b-fb13-4966-8eef-ee5c772113e6@default>
Date: Sun, 19 Jan 2020 11:20:32 -0800 (PST)
From: Drew Adams <drew.adams@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>, Lars Ingebrigtsen <larsi@HIDDEN>
Subject: RE: bug#39185: [PATCH] Don't include section "Recent messages" in bug
 reports
References: <87y2u4uxk5.fsf@HIDDEN>
 <7c4de596-6e2e-48e9-a187-e16a36c59176@default> <87k15ouq36.fsf@HIDDEN>
 <83blqzzdgn.fsf@HIDDEN> <87tv4rtqj2.fsf@HIDDEN> <83zhejxx80.fsf@HIDDEN>
 <87ftgbjuqa.fsf@HIDDEN> <83sgkbxupj.fsf@HIDDEN> <87blqzjsvj.fsf@HIDDEN>
 <87r1zvtlr7.fsf@HIDDEN>
In-Reply-To: <87r1zvtlr7.fsf@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.4954.0 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9505
 signatures=668685
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=0 mlxscore=0 mlxlogscore=999
 adultscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.0.1-1911140001 definitions=main-2001190167
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9505
 signatures=668685
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0
 priorityscore=1501 malwarescore=0
 suspectscore=0 phishscore=0 bulkscore=0 spamscore=0 clxscore=1015
 lowpriorityscore=0 mlxscore=0 impostorscore=0 mlxlogscore=999 adultscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.0.1-1911140001
 definitions=main-2001190167
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 39185
Cc: 39185 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> >> Is it?  Then perhaps the name of the system on which Emacs was
> built,
> >> and the configuration used to build it are also private?
> >
> > It's possible, but it sounds unlikely.  That it's private which
> servers
> > you're talking to is pretty likely, though.
>=20
> In the messages buffer, file names, buffer names and email addresses
> are some of the concerning examples of private data I've seen.  We
> also have to consider that we have no control over what kind of
> information third party or user code puts there.

Yes.

And as I said, the wrong approach, I think, is for
Emacs dev to make a once-and-for-all, fits-all-sizes
judgment as to what is or could be sensitive.

Instead, we should give users themselves a simple
way to express their own preferences.  Let them
(easily) decide what is or could be sensitive.  Let
them decide what information they want to send.

And let them do that easily, (1) by configuring the
reporting profile they want by default, and (2) by
giving them commands/keys to add or remove particular
parts.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39185; Package emacs. Full text available.

Message received at 39185 <at> debbugs.gnu.org:


Received: (at 39185) by debbugs.gnu.org; 19 Jan 2020 17:11:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 19 12:11:02 2020
Received: from localhost ([127.0.0.1]:43812 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1itE6I-0002lM-8y
	for submit <at> debbugs.gnu.org; Sun, 19 Jan 2020 12:11:02 -0500
Received: from ted.gofardesign.uk ([67.225.143.91]:34078)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefan@HIDDEN>) id 1itE6G-0002ks-PY
 for 39185 <at> debbugs.gnu.org; Sun, 19 Jan 2020 12:11:01 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=marxist.se; 
 s=default;
 h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=ybAroStT6PoIfRkOIlKbQ1jNreBnv/IYyC2WLh5iEQU=; b=CE0aGR0MGUE8EicCLsa7a1j0ff
 aMUyKRiK3by5CIdTfMY4/VAVa46wsr6AnlX6mQdljHKse7jZV4IGYlR/Z2yxiIsytvT06CTXa8N2l
 ywahX69m75AF1Q2YO1B0WJa8YS3t9t8SWUEnBlQiV8bqIWDWEJGp+oqMWKAzbxPbxXaiAiIsjXj78
 5WsmnI6KShqkN+ZhUyve99cM8b9Yp4OAqea9XxNavU2vsvtgj3OQZWpXweseCqG5NjfhsUjt7LSE7
 ySTrnJkqOjY8iTOPluUGuby/1KGjVbDMG2LpOh7JbcMqxFmVANXV2yO/3uF4hGpZIPY6Qqqi+DhJa
 igr2CeVQ==;
Received: from h-70-69.a785.priv.bahnhof.se ([155.4.70.69]:37994
 helo=localhost)
 by ted.gofardesign.uk with esmtpsa (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256)
 (Exim 4.92) (envelope-from <stefan@HIDDEN>)
 id 1itE6A-000SPk-Vp; Sun, 19 Jan 2020 12:10:55 -0500
From: Stefan Kangas <stefan@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#39185: [PATCH] Don't include section "Recent messages" in
 bug reports
In-Reply-To: <87blqzjsvj.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sun,
 19 Jan 2020 17:47:12 +0100")
References: <87y2u4uxk5.fsf@HIDDEN>
 <7c4de596-6e2e-48e9-a187-e16a36c59176@default>
 <87k15ouq36.fsf@HIDDEN> <83blqzzdgn.fsf@HIDDEN>
 <87tv4rtqj2.fsf@HIDDEN> <83zhejxx80.fsf@HIDDEN>
 <87ftgbjuqa.fsf@HIDDEN> <83sgkbxupj.fsf@HIDDEN>
 <87blqzjsvj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
Date: Sun, 19 Jan 2020 18:10:52 +0100
Message-ID: <87r1zvtlr7.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - ted.gofardesign.uk
X-AntiAbuse: Original Domain - debbugs.gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - marxist.se
X-Get-Message-Sender-Via: ted.gofardesign.uk: authenticated_id:
 stefan@HIDDEN
X-Authenticated-Sender: ted.gofardesign.uk: stefan@HIDDEN
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39185
Cc: Eli Zaretskii <eliz@HIDDEN>, 39185 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

>> Is it?  Then perhaps the name of the system on which Emacs was built,
>> and the configuration used to build it are also private?
>
> It's possible, but it sounds unlikely.  That it's private which servers
> you're talking to is pretty likely, though.

In the messages buffer, file names, buffer names and email addresses
are some of the concerning examples of private data I've seen.  We
also have to consider that we have no control over what kind of
information third party or user code puts there.

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39185; Package emacs. Full text available.

Message received at 39185 <at> debbugs.gnu.org:


Received: (at 39185) by debbugs.gnu.org; 19 Jan 2020 16:47:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 19 11:47:24 2020
Received: from localhost ([127.0.0.1]:43789 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1itDjQ-0002BT-3w
	for submit <at> debbugs.gnu.org; Sun, 19 Jan 2020 11:47:24 -0500
Received: from quimby.gnus.org ([95.216.78.240]:44872)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1itDjN-0002BB-PB
 for 39185 <at> debbugs.gnu.org; Sun, 19 Jan 2020 11:47:22 -0500
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1itDjF-0004uQ-1s; Sun, 19 Jan 2020 17:47:15 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#39185: [PATCH] Don't include section "Recent messages" in
 bug reports
References: <87y2u4uxk5.fsf@HIDDEN>
 <7c4de596-6e2e-48e9-a187-e16a36c59176@default>
 <87k15ouq36.fsf@HIDDEN> <83blqzzdgn.fsf@HIDDEN>
 <87tv4rtqj2.fsf@HIDDEN> <83zhejxx80.fsf@HIDDEN>
 <87ftgbjuqa.fsf@HIDDEN> <83sgkbxupj.fsf@HIDDEN>
Date: Sun, 19 Jan 2020 17:47:12 +0100
In-Reply-To: <83sgkbxupj.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 19 Jan
 2020 18:43:52 +0200")
Message-ID: <87blqzjsvj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: > Is it? Then perhaps
 the name of the system on which Emacs was built, > and the configuration
 used to build it are also private? It's possible, but it sounds unlikely.
 That it's private which servers you're talking to is pretty likely, though.
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: gnu.org]
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39185
Cc: 39185 <at> debbugs.gnu.org, stefan@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> Is it?  Then perhaps the name of the system on which Emacs was built,
> and the configuration used to build it are also private?

It's possible, but it sounds unlikely.  That it's private which servers
you're talking to is pretty likely, though.

And we've already established that we, as bug processors, have no use
for the data (you thought is was already gone?), it seems odd to spend a
lot of time making the *Messages* buffer less useful.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39185; Package emacs. Full text available.

Message received at 39185 <at> debbugs.gnu.org:


Received: (at 39185) by debbugs.gnu.org; 19 Jan 2020 16:43:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 19 11:43:54 2020
Received: from localhost ([127.0.0.1]:43785 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1itDg2-00025f-LD
	for submit <at> debbugs.gnu.org; Sun, 19 Jan 2020 11:43:54 -0500
Received: from eggs.gnu.org ([209.51.188.92]:42524)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1itDg1-00025T-1w
 for 39185 <at> debbugs.gnu.org; Sun, 19 Jan 2020 11:43:53 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37376)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1itDfv-00070j-Ps; Sun, 19 Jan 2020 11:43:47 -0500
Received: from [176.228.60.248] (port=1751 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1itDfv-0004v6-3h; Sun, 19 Jan 2020 11:43:47 -0500
Date: Sun, 19 Jan 2020 18:43:52 +0200
Message-Id: <83sgkbxupj.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-reply-to: <87ftgbjuqa.fsf@HIDDEN> (message from Lars Ingebrigtsen on Sun, 
 19 Jan 2020 17:07:09 +0100)
Subject: Re: bug#39185: [PATCH] Don't include section "Recent messages" in
 bug reports
References: <87y2u4uxk5.fsf@HIDDEN>
 <7c4de596-6e2e-48e9-a187-e16a36c59176@default>
 <87k15ouq36.fsf@HIDDEN> <83blqzzdgn.fsf@HIDDEN>
 <87tv4rtqj2.fsf@HIDDEN> <83zhejxx80.fsf@HIDDEN> <87ftgbjuqa.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 39185
Cc: 39185 <at> debbugs.gnu.org, stefan@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: Stefan Kangas <stefan@HIDDEN>,  39185 <at> debbugs.gnu.org
> Date: Sun, 19 Jan 2020 17:07:09 +0100
> 
> nnimap quimby.gnus.org splitting mail...done
> nnimap read 6k from quimby.gnus.org
> 
> That could be private information.

Is it?  Then perhaps the name of the system on which Emacs was built,
and the configuration used to build it are also private?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39185; Package emacs. Full text available.

Message received at 39185 <at> debbugs.gnu.org:


Received: (at 39185) by debbugs.gnu.org; 19 Jan 2020 16:07:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 19 11:07:21 2020
Received: from localhost ([127.0.0.1]:43771 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1itD6f-0001Fx-7l
	for submit <at> debbugs.gnu.org; Sun, 19 Jan 2020 11:07:21 -0500
Received: from quimby.gnus.org ([95.216.78.240]:44480)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1itD6d-0001Fl-I6
 for 39185 <at> debbugs.gnu.org; Sun, 19 Jan 2020 11:07:20 -0500
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1itD6T-0004Zm-QU; Sun, 19 Jan 2020 17:07:12 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#39185: [PATCH] Don't include section "Recent messages" in
 bug reports
References: <87y2u4uxk5.fsf@HIDDEN>
 <7c4de596-6e2e-48e9-a187-e16a36c59176@default>
 <87k15ouq36.fsf@HIDDEN> <83blqzzdgn.fsf@HIDDEN>
 <87tv4rtqj2.fsf@HIDDEN> <83zhejxx80.fsf@HIDDEN>
Date: Sun, 19 Jan 2020 17:07:09 +0100
In-Reply-To: <83zhejxx80.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 19 Jan
 2020 17:49:35 +0200")
Message-ID: <87ftgbjuqa.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: > I'm not sure I
 understand
 what is the general case here. Each part of > the report that could
 potentially
 disclose private information shall > be identified and dealt with. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: gnus.org]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39185
Cc: 39185 <at> debbugs.gnu.org, Stefan Kangas <stefan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> I'm not sure I understand what is the general case here.  Each part of
> the report that could potentially disclose private information shall
> be identified and dealt with.

There's little in the *Messages* buffer that isn't potentially private.
For instance, here's the last two lines of mine:

nnimap quimby.gnus.org splitting mail...done
nnimap read 6k from quimby.gnus.org

That could be private information.  It rather sounds like you're asking
us to get rid of the *Messages* buffer altogether.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39185; Package emacs. Full text available.

Message received at 39185 <at> debbugs.gnu.org:


Received: (at 39185) by debbugs.gnu.org; 19 Jan 2020 15:49:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 19 10:49:38 2020
Received: from localhost ([127.0.0.1]:43767 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1itCpW-0000qL-Jq
	for submit <at> debbugs.gnu.org; Sun, 19 Jan 2020 10:49:38 -0500
Received: from eggs.gnu.org ([209.51.188.92]:37459)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1itCpU-0000q9-QQ
 for 39185 <at> debbugs.gnu.org; Sun, 19 Jan 2020 10:49:37 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36955)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1itCpP-0001ZB-Al; Sun, 19 Jan 2020 10:49:31 -0500
Received: from [176.228.60.248] (port=2215 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1itCpO-0003f4-Mv; Sun, 19 Jan 2020 10:49:31 -0500
Date: Sun, 19 Jan 2020 17:49:35 +0200
Message-Id: <83zhejxx80.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
In-reply-to: <87tv4rtqj2.fsf@HIDDEN> (message from Stefan Kangas on Sun,
 19 Jan 2020 16:27:45 +0100)
Subject: Re: bug#39185: [PATCH] Don't include section "Recent messages" in
 bug reports
References: <87y2u4uxk5.fsf@HIDDEN>
 <7c4de596-6e2e-48e9-a187-e16a36c59176@default>
 <87k15ouq36.fsf@HIDDEN> <83blqzzdgn.fsf@HIDDEN>
 <87tv4rtqj2.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 39185
Cc: 39185 <at> debbugs.gnu.org, drew.adams@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Stefan Kangas <stefan@HIDDEN>
> Cc: 39185 <at> debbugs.gnu.org,  drew.adams@HIDDEN
> Date: Sun, 19 Jan 2020 16:27:45 +0100
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > The right way of dealing with these issues is to hide the parts which
> > could breach the privacy by converting the characters there into
> > something like "xxx" or "***", and leave the rest of the information
> > intact.
> 
> How would you propose to do that in the general case?

I'm not sure I understand what is the general case here.  Each part of
the report that could potentially disclose private information shall
be identified and dealt with.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39185; Package emacs. Full text available.

Message received at 39185 <at> debbugs.gnu.org:


Received: (at 39185) by debbugs.gnu.org; 19 Jan 2020 15:27:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 19 10:27:54 2020
Received: from localhost ([127.0.0.1]:43758 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1itCUU-0006n8-GS
	for submit <at> debbugs.gnu.org; Sun, 19 Jan 2020 10:27:54 -0500
Received: from ted.gofardesign.uk ([67.225.143.91]:53498)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefan@HIDDEN>) id 1itCUS-0006mv-Ok
 for 39185 <at> debbugs.gnu.org; Sun, 19 Jan 2020 10:27:53 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=marxist.se; 
 s=default;
 h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=FRiO0smH5cmlegt0Qdu4fkDkca+oj+pdPsQz1Nxsd5M=; b=QHxwRM7OpBDKWws1YuT3QQQCN2
 nscuQ2DjKVwVM87NXEZ24sKmi1k2r+Pi5dIIFYdnd6CPVPmbDx7xXyLg+mUPR9Jy6e2P0sas/hrvp
 oLLids2sTL8xInPmErrHhkTUvyR/qtDq9n+QOM5D7UDkQ3o/TDgQ7bSWtAl3TvuROYcOBcl8AuE55
 rVZMZ6Gy4gDI5+b1id1nXyAMvP3GC8+1xLITxHVku89IIL53XQPoDCR6e7LRfDy/HLdl7Qd8bJUEe
 Xm2ZUX3q/6KH2sGVFv4kt4MAcrLb4962euCrgkLbG/Fo6H69VzwGn3ul5jo7HZ5rx42r6TEq6vdDv
 a1Erh+bQ==;
Received: from h-70-69.a785.priv.bahnhof.se ([155.4.70.69]:53988
 helo=localhost)
 by ted.gofardesign.uk with esmtpsa (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256)
 (Exim 4.92) (envelope-from <stefan@HIDDEN>)
 id 1itCUN-0005J2-3b; Sun, 19 Jan 2020 10:27:47 -0500
From: Stefan Kangas <stefan@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#39185: [PATCH] Don't include section "Recent messages" in
 bug reports
In-Reply-To: <83blqzzdgn.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 19 Jan
 2020 17:13:28 +0200")
References: <87y2u4uxk5.fsf@HIDDEN>
 <7c4de596-6e2e-48e9-a187-e16a36c59176@default>
 <87k15ouq36.fsf@HIDDEN> <83blqzzdgn.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
Date: Sun, 19 Jan 2020 16:27:45 +0100
Message-ID: <87tv4rtqj2.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - ted.gofardesign.uk
X-AntiAbuse: Original Domain - debbugs.gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - marxist.se
X-Get-Message-Sender-Via: ted.gofardesign.uk: authenticated_id:
 stefan@HIDDEN
X-Authenticated-Sender: ted.gofardesign.uk: stefan@HIDDEN
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39185
Cc: 39185 <at> debbugs.gnu.org, drew.adams@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> The right way of dealing with these issues is to hide the parts which
> could breach the privacy by converting the characters there into
> something like "xxx" or "***", and leave the rest of the information
> intact.

How would you propose to do that in the general case?

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39185; Package emacs. Full text available.

Message received at 39185 <at> debbugs.gnu.org:


Received: (at 39185) by debbugs.gnu.org; 19 Jan 2020 15:13:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 19 10:13:30 2020
Received: from localhost ([127.0.0.1]:43736 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1itCGY-0004QF-84
	for submit <at> debbugs.gnu.org; Sun, 19 Jan 2020 10:13:30 -0500
Received: from eggs.gnu.org ([209.51.188.92]:35333)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1itCGX-0004Px-1k
 for 39185 <at> debbugs.gnu.org; Sun, 19 Jan 2020 10:13:29 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36733)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1itCGR-00071k-MV; Sun, 19 Jan 2020 10:13:23 -0500
Received: from [176.228.60.248] (port=3791 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1itCGR-0006je-2w; Sun, 19 Jan 2020 10:13:23 -0500
Date: Sun, 19 Jan 2020 17:13:28 +0200
Message-Id: <83blqzzdgn.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
In-reply-to: <87k15ouq36.fsf@HIDDEN> (message from Stefan Kangas on Sun,
 19 Jan 2020 03:39:41 +0100)
Subject: Re: bug#39185: [PATCH] Don't include section "Recent messages" in bug
 reports
References: <87y2u4uxk5.fsf@HIDDEN>
 <7c4de596-6e2e-48e9-a187-e16a36c59176@default> <87k15ouq36.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 39185
Cc: 39185 <at> debbugs.gnu.org, drew.adams@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Stefan Kangas <stefan@HIDDEN>
> Date: Sun, 19 Jan 2020 03:39:41 +0100
> Cc: 39185 <at> debbugs.gnu.org
> 
> I don't think that feature request should stop us from moving ahead
> with this potentially serious privacy issue.

<rant>
The right way of dealing with these issues is to hide the parts which
could breach the privacy by converting the characters there into
something like "xxx" or "***", and leave the rest of the information
intact.  Instead, we consistently take the easy way out by removing
everything, and thus make the Emacs bug reports less and less useful
for investigating the problems.  Too bad.
</rant>




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39185; Package emacs. Full text available.

Message received at 39185 <at> debbugs.gnu.org:


Received: (at 39185) by debbugs.gnu.org; 19 Jan 2020 02:39:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 18 21:39:52 2020
Received: from localhost ([127.0.0.1]:42579 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1it0VE-0005E7-8U
	for submit <at> debbugs.gnu.org; Sat, 18 Jan 2020 21:39:52 -0500
Received: from ted.gofardesign.uk ([67.225.143.91]:54714)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefan@HIDDEN>) id 1it0VA-0005Dp-Vx
 for 39185 <at> debbugs.gnu.org; Sat, 18 Jan 2020 21:39:51 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=marxist.se; 
 s=default;
 h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=+TMNFD8kCbnmk8iLzu/IFRO/kljgeJGLfAiYZQy1/78=; b=j9E19yqsYFZYrZKNW1VPMCv19J
 JCWhcb+pze+2+j1ERqiqxrnzHXOQcVIkijGprgU9ib66OtYEa81X7gwc31HTT8zXqU0rEat0da2DJ
 99aLvI4cjVsO5Sip+HiEwHi7jR3RWSOnxy5lAwzPgCAhlkrOXvqNiatrL5e8dcfYB6/HIi5BT6yEc
 omOZWihtzWkVK7pN+tmrVFw9LKpXDIey2W1jhgqu7ZqB6Gb/M5WvwRYlRXkRg+dUlD5LGrwrl3XKT
 rJCrhpDd0A2z7N5f+tP9ve9qb8xALslgwWwZuh81fs9a+lQJdggiWnogOZ9fWfHhb+UvMaLz6Trit
 ledn7CGA==;
Received: from h-70-69.a785.priv.bahnhof.se ([155.4.70.69]:49034
 helo=localhost)
 by ted.gofardesign.uk with esmtpsa (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256)
 (Exim 4.92) (envelope-from <stefan@HIDDEN>)
 id 1it0V4-001MdM-Tb; Sat, 18 Jan 2020 21:39:43 -0500
From: Stefan Kangas <stefan@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#39185: [PATCH] Don't include section "Recent messages" in
 bug reports
In-Reply-To: <7c4de596-6e2e-48e9-a187-e16a36c59176@default> (Drew Adams's
 message of "Sat, 18 Jan 2020 18:21:05 -0800 (PST)")
References: <87y2u4uxk5.fsf@HIDDEN>
 <7c4de596-6e2e-48e9-a187-e16a36c59176@default>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
Date: Sun, 19 Jan 2020 03:39:41 +0100
Message-ID: <87k15ouq36.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - ted.gofardesign.uk
X-AntiAbuse: Original Domain - debbugs.gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - marxist.se
X-Get-Message-Sender-Via: ted.gofardesign.uk: authenticated_id:
 stefan@HIDDEN
X-Authenticated-Sender: ted.gofardesign.uk: stefan@HIDDEN
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39185
Cc: 39185 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Drew Adams <drew.adams@HIDDEN> writes:

>> Does anyone object to installing the below patch on master?
>
> I do.  What if a user wants to include that info in a
> particular bug report, e.g., where it's relevant?
> Why not make it easy for a user to include it, even
> if by default it's excluded?

I don't think that feature request should stop us from moving ahead
with this potentially serious privacy issue.

If someone later wants to re-add an option to include messages, and
configure the bug reports along the lines you suggest, they are free
to work on that.

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39185; Package emacs. Full text available.

Message received at 39185 <at> debbugs.gnu.org:


Received: (at 39185) by debbugs.gnu.org; 19 Jan 2020 02:21:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 18 21:21:16 2020
Received: from localhost ([127.0.0.1]:42548 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1it0DE-0004kw-0U
	for submit <at> debbugs.gnu.org; Sat, 18 Jan 2020 21:21:16 -0500
Received: from userp2120.oracle.com ([156.151.31.85]:38392)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1it0DB-0004ki-Ia
 for 39185 <at> debbugs.gnu.org; Sat, 18 Jan 2020 21:21:14 -0500
Received: from pps.filterd (userp2120.oracle.com [127.0.0.1])
 by userp2120.oracle.com (8.16.0.27/8.16.0.27) with SMTP id 00J2KT1l002934;
 Sun, 19 Jan 2020 02:21:07 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2019-08-05;
 bh=mrtLpbGlBf0J/DN/SivMlZVyKG+Bgl1ZISr5feEIQgE=;
 b=UyE0ySpW7YgcRJU6xTccDKMcwI3+WAro/kyJaAOeLDS/LH4coyQizMd33SGUnR5qbYct
 mhRf1Dtp8yTFMiz14UeISnLKCkK0nT2FlbovvHTLzgKFggyked7O5t8mMDo3AC+CX6VA
 z6wNlZiCRnOFaKJwhjVy+T4nNuholMKA780wHgqLhHJu03BOE398cdhk6gSr5OaUnM4O
 /8K9STcUKsx8pVmfuDoUo2OD0t7N/LlpHOysdti3Z7ncZGY3bmhX78wXITGr8hZ9A7mE
 HXGf+Lno6y1Un85wS4j4YaqteYE3J0pdoFbtEXjpDRqNRMpOXeqQmAC21KuMnmwF3g40 rQ== 
Received: from userp3030.oracle.com (userp3030.oracle.com [156.151.31.80])
 by userp2120.oracle.com with ESMTP id 2xktnqt5en-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sun, 19 Jan 2020 02:21:07 +0000
Received: from pps.filterd (userp3030.oracle.com [127.0.0.1])
 by userp3030.oracle.com (8.16.0.27/8.16.0.27) with SMTP id 00J2JAaD145118;
 Sun, 19 Jan 2020 02:21:07 GMT
Received: from userv0121.oracle.com (userv0121.oracle.com [156.151.31.72])
 by userp3030.oracle.com with ESMTP id 2xmbg65118-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sun, 19 Jan 2020 02:21:07 +0000
Received: from abhmp0002.oracle.com (abhmp0002.oracle.com [141.146.116.8])
 by userv0121.oracle.com (8.14.4/8.13.8) with ESMTP id 00J2L6AM001225;
 Sun, 19 Jan 2020 02:21:06 GMT
MIME-Version: 1.0
Message-ID: <7c4de596-6e2e-48e9-a187-e16a36c59176@default>
Date: Sat, 18 Jan 2020 18:21:05 -0800 (PST)
From: Drew Adams <drew.adams@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>, 39185 <at> debbugs.gnu.org
Subject: RE: bug#39185: [PATCH] Don't include section "Recent messages" in bug
 reports
References: <87y2u4uxk5.fsf@HIDDEN>
In-Reply-To: <87y2u4uxk5.fsf@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.4954.0 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9504
 signatures=668685
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=0 mlxscore=0 mlxlogscore=999
 adultscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.0.1-1911140001 definitions=main-2001190016
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9504
 signatures=668685
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0
 priorityscore=1501 malwarescore=0
 suspectscore=0 phishscore=0 bulkscore=0 spamscore=0 clxscore=1011
 lowpriorityscore=0 mlxscore=0 impostorscore=0 mlxlogscore=999 adultscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.0.1-1911140001
 definitions=main-2001190016
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 39185
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Does anyone object to installing the below patch on master?

I do.  What if a user wants to include that info in a
particular bug report, e.g., where it's relevant?
Why not make it easy for a user to include it, even
if by default it's excluded?

As I made clear in the thread you cite:

 It's not just about "Recent messages".  It's about
 anything we automatically insert into the report,
 which a user might not pay attention to, or even if
 she does, which she might not want to send.

 Let users decide.  A simple option takes care of
 this.  And separating the parts of the code that
 insert each different part of the automatic info
 means that we can also give users commands to
 insert any of them as one-offs, to override their
 chosen default preferred behavior.

 I see no reason why we wouldn't want to let users
 decide, in this regard - whether it's about privacy
 or any other reason a user might have for her
 preference.

 What's the difficulty or downside to doing this?

I agree with not including recent messages by
default.  My suggestion is to make it easy for a
user to:

1. Include/exclude any of the various parts that
   we currently exclude, by setting their own
   preferred default behavior.

2. Make it easy for a user to include/exclude any
   such parts for any given bug report, i.e., to
   include/exclude something different from what
   they choose as their default preference.

Anything you do in a hard-coded way makes it more
difficult for users.  It's good for Emacs to remove
recent messages _by default_.  It's better to go
further and make it easy for users to get the
behavior they want - generally and for any given
message.

And it's simple to do.  And it makes the Emacs code
more modular - separate pieces handled separately.

I don't see a downside, and AFAICT none was shown.

I don't claim that the code I use for this, or
what I suggest as the approach, is the only good
one.  I do think we can easily, and should, do
better than just remove recent messages.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39185; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Jan 2020 23:58:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 18 18:58:27 2020
Received: from localhost ([127.0.0.1]:42467 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1isxz1-0007kN-5D
	for submit <at> debbugs.gnu.org; Sat, 18 Jan 2020 18:58:27 -0500
Received: from lists.gnu.org ([209.51.188.17]:55383)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefan@HIDDEN>) id 1isxyz-0007kF-0e
 for submit <at> debbugs.gnu.org; Sat, 18 Jan 2020 18:58:26 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:43284)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <stefan@HIDDEN>) id 1isxyx-0000cY-Fp
 for bug-gnu-emacs@HIDDEN; Sat, 18 Jan 2020 18:58:24 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_20,URIBL_BLOCKED
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <stefan@HIDDEN>) id 1isxyw-00071M-93
 for bug-gnu-emacs@HIDDEN; Sat, 18 Jan 2020 18:58:23 -0500
Received: from ted.gofardesign.uk ([67.225.143.91]:38884)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <stefan@HIDDEN>) id 1isxyv-000711-W0
 for bug-gnu-emacs@HIDDEN; Sat, 18 Jan 2020 18:58:22 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=marxist.se; 
 s=default;
 h=Content-Type:MIME-Version:Message-ID:Date:Subject:To:From:
 Sender:Reply-To:Cc:Content-Transfer-Encoding:Content-ID:Content-Description:
 Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc:Resent-Message-ID:
 In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=IU6huqwKzWk0W2AqOzjKdDzr2lVeqXA3dmCkScvxZn0=; b=IKDzEizTnDwM7AM4Jv6IRxzfIW
 UhPifUxCTHRXi7HNuaiVEH+hS3SAIH7AghUhEC6m2HLyHqNS3jOmMjeOkhhSgfC7KmN7opEGZ/5lz
 ksB63HjgJVV5ollZrQFjNPwMTaxDeVH8Mxa7BHEfIT51XQRxTVFhb51tPjQh1HuFnsqywxnc4Lli6
 Ta5HNNkIirTEbQJVd+W39vMcpFmaXL9nT9NaYR/yQdgK2LAYjubKlna1ywjelGsNimByjbYKV4Lg4
 //4ga32bAxkjtTT4aUWW6ngOUiDw8q13oDqDknKNAAF20fpqC1FLUKMp3KoFHGkzjCJppHaV0jK05
 cYadLCdQ==;
Received: from h-70-69.a785.priv.bahnhof.se ([155.4.70.69]:60346
 helo=localhost)
 by ted.gofardesign.uk with esmtpsa (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256)
 (Exim 4.92) (envelope-from <stefan@HIDDEN>) id 1isxyu-000rvH-ID
 for bug-gnu-emacs@HIDDEN; Sat, 18 Jan 2020 18:58:20 -0500
From: Stefan Kangas <stefan@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: [PATCH] Don't include section "Recent messages" in bug reports
Date: Sun, 19 Jan 2020 00:58:18 +0100
Message-ID: <87y2u4uxk5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - ted.gofardesign.uk
X-AntiAbuse: Original Domain - gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - marxist.se
X-Get-Message-Sender-Via: ted.gofardesign.uk: authenticated_id:
 stefan@HIDDEN
X-Authenticated-Sender: ted.gofardesign.uk: stefan@HIDDEN
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 67.225.143.91
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--=-=-=
Content-Type: text/plain

Does anyone object to installing the below patch on master?

See here for background:
https://lists.gnu.org/archive/html/emacs-devel/2019-11/msg01099.html

Best regards,
Stefan Kangas


--=-=-=
Content-Type: text/x-diff
Content-Disposition: inline;
 filename=0001-Don-t-include-section-Recent-messages-in-bug-reports.patch

From 74d5b879b42a7f3084910eda74b2b733ebe8984a Mon Sep 17 00:00:00 2001
From: Stefan Kangas <stefankangas@HIDDEN>
Date: Thu, 28 Nov 2019 10:30:30 +0100
Subject: [PATCH] Don't include section "Recent messages" in bug reports

* lisp/mail/emacsbug.el (report-emacs-bug): Don't include "Recent
messages" since it has privacy implications.
Problem reported by Lars Ingebrigtsen in:
https://lists.gnu.org/archive/html/emacs-devel/2019-11/msg01099.html
---
 lisp/mail/emacsbug.el | 12 ------------
 1 file changed, 12 deletions(-)

diff --git a/lisp/mail/emacsbug.el b/lisp/mail/emacsbug.el
index fea7619b50..e4534746dd 100644
--- a/lisp/mail/emacsbug.el
+++ b/lisp/mail/emacsbug.el
@@ -320,18 +320,6 @@ report-emacs-bug
     (let ((os (ignore-errors (report-emacs-bug--os-description))))
       (if (stringp os)
           (insert "System Description: " os "\n\n")))
-    (let ((message-buf (get-buffer "*Messages*")))
-      (if message-buf
-	  (let (beg-pos
-		(end-pos message-end-point))
-	    (with-current-buffer message-buf
-	      (goto-char end-pos)
-	      (forward-line -10)
-	      (setq beg-pos (point)))
-            (terpri (current-buffer) t)
-	    (insert "Recent messages:\n")
-	    (insert-buffer-substring message-buf beg-pos end-pos))))
-    (insert "\n")
     (when (and system-configuration-options
 	       (not (equal system-configuration-options "")))
       (insert "Configured using:\n 'configure "
-- 
2.20.1


--=-=-=--




Acknowledgement sent to Stefan Kangas <stefan@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#39185; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 15 Apr 2020 01:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.